STKLOS-COMPILE(1)

NAME
stklos-compile - Compiles a STklos file to byte-codes

DESCRIPTION
The stklos-compile compiles a STklos file to byte-codes. For now, this command is very poor, it should be extended in the future.

OPTIONS
Here are the options available in the version 1.10 of stklos.

--case-sensitive, -c
    Symbols are case sensitive

--output=<file>, -o <file>
    Output the compiled code in the given file instead of a.out.

--C-code, -C
    Produce the byte-code in a C file instead of a ".ostk" file.

--evalute=<expr>, e <expr>
    Evaluate the Sexpr <expr> before starting compilation. This is useful, for loading files which are needed for the compilation (e.g. files defining new syntaxes).

--line-info, -l
    Generate line informations to ease debugging (incurs a small performance penalty).

--show-instructions, -S
    Produce the VM instructions in the generated file. Actually, it is probably only useful if you want to hack the VM.

--prepend-load-path=<dir>, -L <dir>
    Prepend the directory <dir> to the compiler loading path.

--append-load-path=<dir>
    Append the directory <dir> to the compiler loading path.

--no-time
    Do not display the compilation time

--help | -h | -?
    Show help.

SEE ALSO
stklos(1) stklos-config(1)